Skip to main content
POST
Create Terminal Transaction

Authorizations

x-client-id
string
header
required

Client app ID. You can find your app id in the Merchant Dashboard.

x-client-secret
string
header
required

Client secret key. You can find your secret key in the Merchant Dashboard.

Headers

x-api-version
string
default:2026-01-01
required

API version to be used.

x-request-id
string

Request ID for the API call. Can be used to resolve tech issues. Communicate this in your tech related queries to Cashfree.

x-idempotency-key
string<UUID>

An idempotency key is a unique identifier you include with your API call. If the request fails or times out, you can safely retry it using the same key to avoid duplicate actions.

Body

application/json

Request body to create a terminal transaction.

Request body to create a terminal transaction.

cf_order_id
string
required

cashfree order ID that was returned while creating an order.

cf_terminal_id
integer<int64>

Cashfree terminal ID, this is a required parameter when you do not provide the terminal phone number.

payment_method
string

mention the payment method used for the transaction. possible values - QR_CODE, LINK.

Required string length: 3 - 100
terminal_phone_no
string

agent mobile number assigned to the terminal. this is a required parameter when you do not provide the cf_terminal_id.

Required string length: 10
add_invoice
boolean

make it true to have request be sent to create a Dynamic GST QR Code.

Response

Terminal Transaction created.

Create terminal response object.

cf_payment_id
integer<int64>
payment_amount
integer
payment_method
string
payment_url
string
qrcode
string
timeout
string